Create or update an event source
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/event-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventSourceId": "<string>",
"eventTypes": [],
"advertiserId": 4503599627370495,
"name": "<string>",
"integrationPlatform": "<string>",
"allowedDomains": [
"<string>"
],
"confirm": true,
"confirmationUid": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/event-sources"
payload = {
"eventSourceId": "<string>",
"eventTypes": [],
"advertiserId": 4503599627370495,
"name": "<string>",
"integrationPlatform": "<string>",
"allowedDomains": ["<string>"],
"confirm": True,
"confirmationUid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventSourceId: '<string>',
eventTypes: [],
advertiserId: 4503599627370495,
name: '<string>',
integrationPlatform: '<string>',
allowedDomains: ['<string>'],
confirm: true,
confirmationUid: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/buyer/event-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created": true,
"source": {
"eventSourceId": "<string>",
"name": "<string>",
"eventTypes": [
"page_view"
],
"allowedDomains": [
"<string>"
],
"integrationPlatform": "<string>",
"health": "not_seen",
"lastEventAt": "2023-11-07T05:31:56Z",
"eventsLast24h": 4503599627370495,
"eventsLast7d": 4503599627370495
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Event Sources
Create or update an event source
POST
/
api
/
v2
/
buyer
/
event-sources
Create or update an event source
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required string length:
1 - 100Minimum array length:
1Available options:
page_view, view_content, add_to_cart, initiate_checkout, purchase, lead, complete_registration, subscribe, app_install, custom Required range:
0 < x <= 9007199254740991Required string length:
1 - 200Maximum string length:
100Maximum array length:
50Minimum string length:
3Minimum string length:
5